Net::DNS::FAQ(3pm)

NAME
Net::DNS::FAQ - Frequently Asked Net::DNS Questions

SYNOPSIS
    perldoc Net::DNS::FAQ

DESCRIPTION
This document serves to answer the most frequently asked questions on both the Net::DNS Mailing List and those sent to the author.

The latest version of this FAQ can be found at
    <http://www.net-dns.org/docs/FAQ.html>

GENERAL

  What is Net::DNS?
Net::DNS is a perl implementation of a DNS resolver.

INSTALLATION

  Where can I find Test::More?
Test::More is part of the Test-Simple package, by Michael G Schwern. You should be able to find the distribution at
    <http://search.cpan.org/dist/Test-Simple/>

USAGE

  Why does $resolver->query() return undef when the answer section is empty?
The short answer is, do not use query(). $resolver->send() will always return the response packet, as long as a response was received.

The longer answer is that query() is modeled after the res_query() function from the libresolv C library, which has similar behavior.

VERSION
 $Id: FAQ.pod 1709 2018-09-07 08:03:09Z willem $